/*-----------------------------------------------------------------------------
 * Copyright © 2010 Civic Computing Ltd.
 * All rights reserved.
 *
 * This file is part of Content Control.
 *
 * Content Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Content Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Content Control.  If not, see http://www.gnu.org/licenses/.
 *
 * Revision      $Rev: 3571 $
 * Modified by   $Author: manosm $
 * Modified on   $Date: 2011-10-03 16:01:39 +0300 (Mon, 03 Oct 2011) $
 *
 * Changes: see the subversion log.
 *-----------------------------------------------------------------------------
 */
package ccc.plugins.search;

import ccc.api.types.StreamAction;


/**
 * An interface for various text extractors.
 *
 * @author Civic Computing Ltd.
 */
public interface TextExtractor
    extends
        StreamAction {

    /** MAX_PAGES_TO_INDEX : int. */
    int MAX_PAGES_TO_INDEX = 100;

    String getText();
}
